Skip to content
LogoLogo

Bank

AllBalances

GET/cosmos/bank/v1beta1/balances/{address}

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

addressRequired
string

address is the address to query balances for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

resolve_denom
boolean

resolve_denom is the flag to resolve the denom into a human-readable form from the metadata.

Responses

Balance

GET/cosmos/bank/v1beta1/balances/{address}/by_denom

Balance queries the balance of a single coin for a single account.

Path Parameters

addressRequired
string

address is the address to query balances for.

Query Parameters

denom
string

denom is the coin denom to query balances for.

Responses

DenomOwners

GET/cosmos/bank/v1beta1/denom_owners/{denom}

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

denomRequired
string

denom defines the coin denomination to query all account holders for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

DenomOwnersByQuery

GET/cosmos/bank/v1beta1/denom_owners_by_query

DenomOwnersByQuery queries for all account addresses that own a particular token denomination.

Query Parameters

denom
string

denom defines the coin denomination to query all account holders for.

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

DenomsMetadata

GET/cosmos/bank/v1beta1/denoms_metadata

DenomsMetadata queries the client metadata for all registered coin denominations.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

DenomMetadata

GET/cosmos/bank/v1beta1/denoms_metadata/{denom}

DenomMetadata queries the client metadata of a given coin denomination.

Path Parameters

denomRequired
string

denom is the coin denom to query the metadata for.

Responses

DenomMetadataByQueryString

GET/cosmos/bank/v1beta1/denoms_metadata_by_query_string

DenomMetadataByQueryString queries the client metadata of a given coin denomination.

Query Parameters

denom
string

denom is the coin denom to query the metadata for.

Responses

Params

GET/cosmos/bank/v1beta1/params

Params queries the parameters of x/bank module.

Responses

SendEnabled

GET/cosmos/bank/v1beta1/send_enabled

This query only returns denominations that have specific SendEnabled settings. Any denomination that does not have a specific setting will use the default params.default_send_enabled, and will not be returned by this query.

Query Parameters

denoms
string[]

denoms is the specific denoms you want look up. Leave empty to get all entries.

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

SpendableBalances

GET/cosmos/bank/v1beta1/spendable_balances/{address}

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

addressRequired
string

address is the address to query spendable balances for.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

SpendableBalanceByDenom

GET/cosmos/bank/v1beta1/spendable_balances/{address}/by_denom

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Path Parameters

addressRequired
string

address is the address to query balances for.

Query Parameters

denom
string

denom is the coin denom to query balances for.

Responses

TotalSupply

GET/cosmos/bank/v1beta1/supply

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

SupplyOf

GET/cosmos/bank/v1beta1/supply/by_denom

When called from another module, this query might consume a high amount of gas if the pagination field is incorrectly set.

Query Parameters

denom
string

denom is the coin denom to query balances for.

Responses